﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace XamDataChartServiceReportsCase
{
    /// <summary>
    /// Interaction logic for DynamicTable.xaml
    /// </summary>
    public partial class DynamicTable : Window
    {
       

        public DynamicTable()
        {
            InitializeComponent();
            this.DataContext = GetData().DefaultView;
        }

        private static DataTable GetData()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Label Column", typeof(string));
            table.Columns.Add("Value Column", typeof(double));
            table.Columns.Add("Another Value Column", typeof(double));
            table.Rows.Add(new object[] { "Point A", 1.0, 3.0 });
            table.Rows.Add(new object[] { "Point B", 2.0, 2.0 });
            table.Rows.Add(new object[] { "Point C", 3.0, 1.0 });
            table.Rows.Add(new object[] { "Point D", 4.0, 2.0 });
            table.Rows.Add(new object[] { "Point E", 5.0, 3.0 });
            return table;
        }
    }
}
