﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace XamDataChartServiceReportsCase
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        
            Random r = new Random();
            DataTable table = new DataTable();
            public Window1()
            {
                InitializeComponent();

                table.Columns.Add(new DataColumn("Label", typeof(string)));
                table.Columns.Add(new DataColumn("Value", typeof(int)));
                table.Columns.Add(new DataColumn("Visibility", typeof(Visibility)));
                for (int i = 0; i < 5; i++)
                {
                    
                   
                        DataRow row = table.NewRow();

                        row["Label"] = "Rop " + i.ToString();
                        row["Value"] = r.Next(1, 10);
                        row["Visibility"] = Visibility.Visible;

                        table.Rows.Add(row);
                    
                }

                this.DataContext = table;
            }

            int count = 1;
            private void addColumnBtn_Click(object sender, RoutedEventArgs e)
            {
                count++;
                table.Columns.Add(new DataColumn("Value" + count.ToString(), typeof(int)));

                for (int i = 0; i < table.Rows.Count; i++)
                {
                    DataRow row = table.Rows[i];
                    row["Value" + count.ToString()] = r.Next(1, 10);
                }

                ColumnSeries series = new ColumnSeries() { XAxis = xAxis, YAxis = yAxis, ItemsSource = table.DefaultView, ValueMemberPath = "Value" + count.ToString() };
                chart.Series.Add(series);
                this.DataContext = table;
            }

        private void Chart_OnLoaded(object sender, RoutedEventArgs e)
        {
            //count++;
            //table.Columns.Add(new DataColumn("Value" + count.ToString(), typeof(int)));

            //for (int i = 0; i < table.Rows.Count; i++)
            //{
            //    DataRow row = table.Rows[i];
            //    row["Value" + count.ToString()] = r.Next(1, 10);
            //}

            //ColumnSeries series = new ColumnSeries() { XAxis = xAxis,Margin = new Thickness(0,0,30,0),YAxis = yAxis, ItemsSource = table.DefaultView, ValueMemberPath = "Value" + count.ToString() };
            //chart.Series.Add(series);
        }
    }
    
}
