﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace XamDataChartServiceReportsCase
{
    /// <summary>
    /// Interaction logic for DataTableTest.xaml
    /// </summary>
    public partial class DataTableTest : Window
    {
        Random r = new Random();
        DataTable table = new DataTable();

        public DataTableTest()
        {
            InitializeComponent();

            table.Columns.Add(new DataColumn("Label", typeof (string)));
            table.Columns.Add(new DataColumn("Value", typeof (int)));
            table.Columns.Add(new DataColumn("Report", typeof (string)));
            table.Columns.Add(new DataColumn("Column", typeof(string)));
            table.Columns.Add(new DataColumn("Group", typeof (string)));
            for (var i = 0; i < 10; i++)
            {
                DataRow row = table.NewRow();

                row["Label"] = "Resistivity Diagnostics 1234 " + Convert.ToString(1);
                row["Column"] = "Service " + Convert.ToString(1);
                row["Report"] = "rEPORT";
                row["Value"] = r.Next(1, 100);
                if (i >= 1 && i<=3)
                    row["Group"] = "rop30";
                if (i >= 4 && i <= 7)
                    row["Group"] = "rop45";
                if (i >= 8 && i <= 10)
                    row["Group"] = "rop60";
                table.Rows.Add(row);

            }
            this.DataContext = table;
        }

        private void Chart_OnLoaded(object sender, RoutedEventArgs e)
        {
           
        }
    }

    //DataRow roww = table.NewRow();
            //roww["Label"] = "Service " + Convert.ToString(10);

            //roww["Column"] = "Service " + Convert.ToString(10);
            //roww["Report"] = "Report " + Convert.ToString(2); ;
            //roww["Value"] = 0;
            //table.Rows.Add(roww);
        //    int k = 0;
        //    for (int i = 6; i < 10; i++)
        //    {
        //        k++;
        //        DataRow row = table.NewRow();
        //        int a = 5 / 2;
        //        if (k == 2)
        //        {
        //            row["Label"] = "Navi Gamma " + Convert.ToString(2);
        //        }
        //        else
        //        {
        //            row["Label"] = string.Empty;
        //        }
        //        row["Column"] = "Service " + Convert.ToString(2);
        //        row["Report"] = "rEPORT";
        //        row["Value"] = r.Next(6, 12);

        //        table.Rows.Add(row);
        //    }
        //    int l=0;
        //    for (int i = 11; i < 16; i++)
        //    {
        //        l++;
        //        DataRow row = table.NewRow();
        //        int a = 5/2;
        //        if (a == l)
        //        {
        //            row["Label"] = "Service " + Convert.ToString(3);
        //        }
        //        else
        //        {
        //            row["Label"] = "Service " + Convert.ToString(3);
        //        }
        //        row["Column"] = "Resistivity " + Convert.ToString(3);
        //        row["Report"] = "rEPORT";
        //        row["Value"] = r.Next(6, 12);

        //        table.Rows.Add(row);
        //    }
        //    l = 0;
            
        //    for (int i = 11; i < 16; i++)
        //    {
        //        l++;
        //        DataRow row = table.NewRow();
                
        //        if (l==3)
        //        {
        //            row["Label"] = "Commnader " + Convert.ToString(4);
        //        }
        //        else
        //        {
        //            row["Label"] = "Commnader " + Convert.ToString(4);
        //        }
        //        row["Column"] = "Service " + Convert.ToString(4);
        //        row["Report"] = "rEPORT";
        //        row["Value"] = r.Next(6, 12);

        //        table.Rows.Add(row);
        //    }
        //    this.DataContext = table;
        //}

        //int count = 1;
        ////private void addColumnBtn_Click(object sender, RoutedEventArgs e)
        ////{
        ////    count++;
        ////    table.Columns.Add(new DataColumn("Value" + count.ToString(), typeof(int)));
            
        ////    for(int i=0; i<table.Rows.Count; i++)
        ////    {
        ////        DataRow row = table.Rows[i];
        ////        row["Value" + count.ToString()] = r.Next(1, 10);
        ////    }

        ////    LineSeries series = new LineSeries() { XAxis = xAxis, YAxis = yAxis, ItemsSource = table.DefaultView, ValueMemberPath = "Value" + count.ToString() };
        ////    chart.Series.Add(series);
        ////}

    //    private void ColumnSeries_AssigningCategoryStyle(object sender, Infragistics.Controls.Charts.AssigningCategoryStyleEventArgs args)
    //    {
    //        DataTable table = new DataTable();
    //        table.Columns.Add(new DataColumn("Label", typeof(string)));
    //        table.Columns.Add(new DataColumn("Value", typeof(int)));
    //        table.Columns.Add(new DataColumn("Report", typeof(string)));
    //       var tablee = args.GetItems(args.StartIndex, args.EndIndex). FirstOrDefault() as System.Data.DataRowView;
    //       var dtTable = tablee.Row.ItemArray;

    //        var table1 = tablee;
    //        if (table != null)
    //        {
    //            string str = dtTable[3].ToString();

    //            if (str.Contains("Service 1"))
    //            {
    //                args.Fill = Brushes.Red;
    //            }
    //            else if (str.Contains("Service 2"))
    //            {
    //                args.Fill = Brushes.Blue;
    //            }
    //            else if (str.Contains("Service 3"))
    //            {
    //                args.Fill = Brushes.Green;
    //            }
    //            else if (str.Contains("Service 4"))
    //            {
    //                args.Fill = Brushes.DarkGray;
    //            }
    //            else
    //            {
    //                args.Fill = Brushes.DarkMagenta;
    //            }
    //        }
    //    }
    //}
}
